Name: ovmport
Version: 1.0
Release: 1%{?dist}.4
Summary: Ovmport implements Dom0-DomU communications via xenstore operations.
License: GPLv2
Group: Applications/System
URL: http://www.oracle.com/virtualization
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: xen-devel, device-mapper-multipath-libs = 0.4.9
Requires: xen-tools, device-mapper-multipath-libs = 0.4.9

Patch1: dummy.patch
Patch2: rev20.patch
Patch3: rev37.patch
Patch4: rev41.patch
# End Oracle Patches

%description
Ovmport implements communications between Dom0 and DomU processes using libxenstore API.

%prep
%setup -q
%patch1 -p0 
%patch2 -p0
%patch3 -p0
%patch4 -p0

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
    /sbin/chkconfig --add ovmport
fi

%preun
if [ $1 = 0 ]; then
    /sbin/service ovmport stop >/dev/null 2>&1
    /sbin/chkconfig --del ovmport
fi

%files
%defattr(-,root,root)
%doc COPYING README
%{_sysconfdir}/init.d/ovmport
%config %{_sysconfdir}/sysconfig/ovmport
%{_sbindir}/ovmport

%changelog
* Mon Aug 29 2016 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 1.0-1.el6.4 
- Do not error if /local/domain/0/backend/vbd key is missing in xenstore. [bug 24557825]  

* Mon Aug 29 2016 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 1.0-1.el6.3 
- Do not error if /local/domain/0/backend/vbd key is missing in xenstore. [bug 24557825]  

* Wed Aug 17 2016 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 1.0-1.el6.2 
- Use multipath API (instead of SG_IO ioctl) for "PERSISTENT RESERVE OUT" SCSI command. [bug 24436025]  

* Wed Aug 17 2016 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 1.0-1.el6.1
- requires device-mapper-multipath-libs=0.4.9 [bug 24478369]

* Wed Aug 03 2016 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 1.0-1.el6
- initialize 
